<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>

	<body>
		<!-- header tag is a Semantic tag to inform the developer and client that this component is for the header of the web page. -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>

			<!-- This section is for the HTML Table. -->
			<section>
				<p><em>Reserved charactersin HTML(e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the thickness of the table border -->
				<table border="2">
					<!-- thead tag is for the header of the table -->
					<thead>
						<!-- tr tag defines a table row -->
						<tr>
							<!-- th tag defines a table header element -->
							<!-- First row of our header -->
							<!-- colspan attribute changes the amount of columns a table element will occupy -->
							<th colspan="2">Entity</th>
							<!-- rowspan attribute changes the amount of rows a table element will occupy -->
							<th rowspan="2">Description</th>
						</tr>

						<!-- Second row of our header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>

					<!-- tbody is for the body of the table -->
					<tbody>
						<!-- First row of our body -->
						<tr>
							<!-- td tag defines a table body element -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						
						<!-- Second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<!-- Third row -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>Peso sign</td>
						</tr>

						<!-- Fourth row -->
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<!-- Fifth row -->
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<!-- Sixth row -->
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>

						<!-- Seventh row -->
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower n-tilde</td>
						</tr>

						<!-- Eighth row -->
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper N-tilde</td>
						</tr>
					</tbody>

					<!-- tfoot is for the footer of the table -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
			</section>
			<!-- This is the end of the Table section -->

			<!-- This section is for the HTML Form -->
			<section>
				<h2 align="center">HTML Form</h2>

				<p><em>Input elements that make up a form.</em></p>

				<form>
					<!-- Text inputs -->
					<!-- label tag creats a text element that serves as the label for the input field -->
					<!-- type attribute will define what type of information the input field should be -->
					<!-- for attribute is used with the id attribute in an input element. This allows users to click the label to type their response-->
					<!-- name attribute tells the database where the value collected from the user will be added depening on the method -->
					<!-- value attribute is the information that will be passed on the database -->
					<label for="fullname">Full Name:</label><br>
					<input type="text" name="fullname" id="fullname" required autocomplete><br>

					<label for="birthdate">Birthdate:</label><br>
					<input type="date" name="birthdate" id="birthdate" required autocomplete><br>

					<label>Age:</label><br>
					<input type="number" name="age" id="age" required autocomplete><br>

					<!-- Dropdown -->
					<label for="gender">Gender:</label><br>
					<select name="gender" id="gender">
						<option value="male">Male</option>
						<option value="female">Female</option>
					</select><br>

					<!-- textarea -->
					<label>Suggestion:</label><br>
					<textarea name="suggestion"	rows="5" cols="5" id="suggestion" required autocomplete></textarea><br>

					<!-- Radio button -->
					<label>Civil Status:</label><br>

					<input type="radio" name="civilStatus" value="single" id="single">
					<label for="single">Single</label><br>

					<input type="radio" name="civilStatus" value="married" id="married">
					<label for="married">Married</label><br>


					<!-- Checkbox -->
					<label>Job:</label><br>

					<input type="checkbox" name="job1" value="developer" id="developer">
					<label for="developer">Developer</label><br>

					<input type="checkbox" name="job2" value="student" id="student">
					<label for="student">Student</label><br>

					<input type="checkbox" name="job3" value="manager" id="manager">
					<label for="manager">Manager</label><br>


					<button>Submit</button><br>
					<button type="reset">Reset</button>
				</form>
			</section>

		</main>
	</body>
</html>